package net.wanji.web.common.exception;

import net.wanji.feign.pojo.entity.JsonViewObject;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * 全局异常处理
 *
 * @author Kent HAN
 * @date 2023/1/5 13:18
 */
@RestControllerAdvice
public class SignalGlobalExceptionHandler {
    @ExceptionHandler(value = LightLaneConflictException.class)
    public JsonViewObject lightLaneExceptionHandler(LightLaneConflictException e) {
        JsonViewObject jsonViewObject = JsonViewObject.newInstance();
        return jsonViewObject.fail(e);
    }

    @ExceptionHandler(value = PhaseNoNotUniqueException.class)
    public JsonViewObject phaseNoNotUniqueExceptionHandler(PhaseNoNotUniqueException e) {
        JsonViewObject jsonViewObject = JsonViewObject.newInstance();
        return jsonViewObject.fail(e);
    }

    @ExceptionHandler(value = LightsModifyException.class)
    public JsonViewObject lightsModifyExceptionHandler(LightsModifyException e) {
        JsonViewObject jsonViewObject = JsonViewObject.newInstance();
        return jsonViewObject.fail(e);
    }
}